@import url('https://fonts.googleapis.com/css2?family=Oswald&family=Poppins:ital,wght@0,300;0,400;0,600;1,700&display=swap');
@import "transition-style";


@font-face {
    font-family: MiFuente; /* Asigna un nombre a la fuente */
    src: url('/fonts/Oswald-VariableFont_wght.ttf'); /* Especifica la ruta de la fuente */
  }

:root{
    --padding-container: 100px 0;
    --color-tittle: #001A49;    
    --soft-blue: hsl(231, 69%, 60%);
    --soft-red: hsl(0, 94%, 66%);
    --grayish-blue: hsl(229, 8%, 60%);
    --very-dark-blue: hsl(229, 31%, 21%);
    --grayish-blue-alpha: hsl(229, 8%, 60%, .5);
    --very-dark-blue-alpha: hsl(229, 31%, 21%, .8);
}

body{
font-family: 'Poppins', sans-serif;
}

.html{
    scroll-behavior: smooth;
}
.container {

    
    width: 100%;   
    max-width: 2200px;
   
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);
    
   }

   
   
   .hero{
       width: 100%;
       height: 100vh;
       min-height: 600px;
       max-height: 800px;
     
       grid-template-rows: 100px 1fr;
       color: #fff;
   }
   
   .hero::before{
       content:"";
       position: absolute;
       top: 0;
       left: 0;
       width: 100%;
       height: 100%;
       /* mirar si se puede poner transparencia de otra forma */
       background-image: linear-gradient(180deg, #0000008c 0%, #7b3e3e8c 100%), url('/images/montacargas_principal3.jpg');
       background-size: cover;
       /* herramienta utilizada clyppy
        css */
      /* clip-path: polygon(0 0, 100% 0, 100% 85%, 50% 98%, 0 85%);*/
       /* para que se posicione detras del texto */ 
       z-index: -1;
   
   }
   
 
li{
    list-style: none;
}

a{
text-decoration: none;
color: #313D48;
font-size: 0.8rem;
}

.links a:hover{
    color:#F94E61;
}


/*HEADER*/

header{
    position: relative;
   /* padding: 0 2rem;*/
}

.navbar{
   background-color: white;
    width: 100%;
    height: 60px;
    max-width: 2200px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    z-index: 1;
}

.navbar .logo a{
    font-size: 1.5rem;
    font-weight: bold;

}

.navbar .links{
    display: flex;
    gap: 2rem;

}

.navbar .toggle_btn{

    color: black; 
    font-size: 1.5rem;
    cursor: pointer;
    display: none;
}
.nav_icon{
   
    width: 120px;
    margin-left: 20px;
    

}

.action_btn{
    background-color: #F94E61;
    color: #fff;
    padding: 0.5rem 1rem;
    margin-right: 10px;
    border: none;
    border-radius: 20px;
    font-size: 0.8rem;
    font-weight: bold;
    cursor: pointer;
}

.action_btn:hover{
    scale: 1.05;
    color: #fff;

}

.action_btn:active{
    scale: 0.95;
}



/*DROPDOWN MENU*/
.dropdown_menu{
    display: none;
    height: 0;
    position: absolute;
    right: 2rem;
    top: 60px; 
    width: 300px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(15px);
    border-radius: 10px;
    overflow: hidden;
    transition: height .2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.dropdown_menu.open{
    height: 240px;
}

.dropdown_menu li{
    padding: 0.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dropdown_menu .action_btn{
    width: 100%;
    display: flex;
    justify-content: center;
}
   

   .hero_container{
       max-width: 1200px;
       display: grid;
       --padding-container:0;
       grid-auto-rows: max-content;
       align-content: center;
       /* espaciado */
       gap: 1em;
       padding-bottom: 100px;
       text-align: center;
   }
   
   .hero_tittle{
       font-size: 2.9rem;
       margin-top: 300px;
       font-family: Mifuente;
   }
   
  

   span{
    color:hsl(0, 94%, 66%);
   }

   .span2{
    color: white;
   }
   
   .cta{
       /* revisar concepto */
       margin-top: 200px;
       display: inline-block;
       background-color: #F94E61;
       /* para que ocupe solamente su contenid o */
       justify-self: center;
       color: #fff;
       text-decoration: none;
       padding: 13px 30px;
       border-radius: 30px;
       transition: transform 0.3s;
       font-size: 0.8rem;
       
   }

   .cta:hover {
    transform: scale(1.2);
  }

  .fa-solid fa-right-to-bracket{
   background-color: white;
  }

  

  
          

    

   .nav_but{
    
    background-color: #F94E61;
    /* para que ocupe solamente su contenido */
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 10px 25px;
    border-radius: 30px;
   }
/* 
   @keyframes wipe-in-down {
    from {
      clip-path: inset(0 0 100% 0);
    }
    to {
      clip-path: inset(0 0 0 0);
    }
  }
  
  [transition-style="in:wipe:down"] {
    animation: 2.5s cubic-bezier(.25, 1, .30, 1) wipe-in-down both;
  } */

.about{
   
    text-align: center;
    background-color: #FBFBFB; 
   
 width: 100%;
}

.subtitle{
    color: var(--color-tittle);
    font-size: 1.5rem;
    
    margin-bottom: 15px;
    
}



.about_tittle{
    text-align: center;
    margin-right: 75px;
    font-size: 1rem;
}

.about_paragraph1{
    line-height: 1.7;
    font-size: 0.8rem;
    text-align: center;
    margin-bottom: 30px;
  
   
    color: rgb(0, 0, 0, .6);
}

.about_paragraph{
    line-height: 1.7;
    font-size: 0.8rem;
    text-align: center;
    margin-bottom: 30px;
    margin-right: 100px;
   
    color: rgb(0, 0, 0, .6);
}



.about_main{
    padding-top: 80px;
   
    /* propiedad para poder usar grid layout */
    display: grid; 
     /* definir el numero de columnas */
    grid-template-columns: repeat(auto-fit, minmax(260px, auto));
    width: 70%;
    margin: 0 auto;
   
    gap: 1em;
    overflow: hidden;
  
    
   
} 

.about_icons{
    
    display: grid; 
    gap: 1em;
    justify-items: center;
    width: 260px;
    overflow: hidden;
    margin:auto;
    margin-bottom: 50px;
   

    
   
    
}

.about_icon{
    width: 40px;
    margin-top: 8px;
    margin-left: 6px;

    
}

#herramientas{
    color:black;
    font-size: 1.8em;
    margin-top: 10px;
}


#certificado{
    color:black;
    font-size: 1.8em;
    margin-top: 10px;
}

#repuestos{
    color:black;
    font-size: 1.8em;
    margin-top: 10px;
}


#venta{
    color:black;
    font-size: 1.8em;
    margin-top: 10px;
}

#asesoria{
    color:black;
    font-size: 1.8em;
    margin-top: 10px;

}




.about_icon2{
    border: 2px solid #fc3e54;
    /* background-color:rgba(251, 97, 115, .9); */
    border-radius: 12px;
    width: 50px;
    height: 50px;
    margin-right: 70px;
    margin-bottom: 30px;
}

.about_line{
    border: 1px solid rgb(0, 0, 0, .3);;
    border-radius: 12px;
    width: 350px;
    height: 0px;
   
  
}

.about_more{
    margin-right: 80px;
    color: #F94E61;
}


/* forklift */

.forklift{
    display: grid;
    grid-template-columns: 5% 1fr 5%;
   
}

.forklift__content{
    grid-column: 2/3;
    text-align: center;
}

.forklift__title{
    font-size: 1.7rem;
    color: var(--very-dark-blue);
}

.forklift__paragraph{
    line-height: 1.5;
    color: var(--grayish-blue);
    margin: 1rem auto 2.5rem ;
    max-width: 400px;
}

.forklift__list{
    padding: 0;
    list-style: none;
    margin-top: 50px;
}

.forklift__element{
    border-top: 1.5px solid var(--grayish-blue);
    
}

.forklift__element:last-child{
    border-bottom: 1.5px solid var(--grayish-blue);
    
}





.forklift__tab{
    display: inline-block;
    padding: 1.5rem 0;
    text-decoration: none;
    color: var(--grayish-blue);
   
    font-weight: 500;
  
    border-bottom: 5px solid transparent;

    transition: border-color .7s;
    
}

.forklift__tab--active{
    border-color: #fc3e54;
    /* background-color: #fc3e54; */
}

.forklift__container{
    grid-column: 1/-1;
    display: grid;
    grid-template-areas: "article";
    
}

.forklift__article{
    grid-area: article;
    opacity: 0;
    pointer-events: none;

    transition: opacity .6s;
}

.forklift__article--active{
    pointer-events: unset;
    opacity: 1;
}

.forklift__figure{
    padding: 3rem 0;
    position: relative;
    margin-left: 100px;
    perspective: 800px;
}

.forklift__img{
    width: 100%;
    margin: 0 auto;
    max-width: 1000px;
   margin-left: -50px;
   
}




.forklift__texts{
    width: 60%;
    margin: 0 0 0 100px;
    margin-top: 3rem;
    text-align: center;
}

.forklift__subtitle{
    color: rgb(0, 0, 0, .6);
    font-size: 1.3rem;
    
}


.forklift__copy{
    color: var(--grayish-blue);
    line-height: 1.5;
    margin-top: 1rem;
    margin-bottom: 1rem;
    
}




.forklift_more{
    position: absolute;
    margin-top: 30px;
    left: 150px;
    color: #F94E61;
}

.forklift__cta{
    display: none;
    margin-top: 1.2rem;
    padding: 1rem 1.5rem;
    background-color: var(--soft-blue);
    border-radius: 3px;
    text-decoration: none;
    color:#fff;
}




.reasons{
   
    background-color: #FBFBFB; 
}
.reasons_subtitle{
    color: var(--color-tittle);
    font-size: 1.5rem;
    margin-left: 650px;
    margin-bottom: 15px;
}  

/* .subtitle{
    color: var(--color-tittle);
    font-size: 1.5rem;
    
    margin-bottom: 15px;
    
} */



.reasons_icons{
    
    display: grid; 
    gap: 1em;
    justify-items: center;
    width: 310px;
    overflow: hidden;
    margin:auto;
    margin-bottom: -20px;
    
  
   

    
   
    
}


.reasons_number{
    margin-right: 290px;
    
    font-size: 1rem;
    color: #F94E61;
}
.reasons_tittle{
    margin-top: -54px;
    margin-left: 35px;
    font-size: 1rem;
}
.reasons_paragraph{
    line-height: 1.7;
    font-size: 0.9rem;
    margin-left: 100px; 
    margin-bottom: 30px;
  
    color: rgb(0, 0, 0, .6);
}

.reasons_paragraph2{
    line-height: 1.4;
    text-align: justify;
    font-size: 0.8rem;
   
    margin-bottom: 50px;
    margin-top: -30px;
    color: rgb(0, 0, 0, .6);
}







.reasons_main{
    padding-top: 80px;
   
    /* propiedad para poder usar grid layout */
    display: grid; 
     /* definir el numero de columnas */
    grid-template-columns: repeat(auto-fit, minmax(380px, auto));
    width: 90%;
    margin: 0 auto;
    gap: 1em;
    overflow: hidden;
  
    
   
} 



.reasons_line{
    border: 1.5px solid rgb(0, 0, 0, .8);;
    border-radius: 12px;
    width: 50px;
    height: 0px;
    margin-top: -28px;   
    margin-right: 200px;
  
}

.carousel{
 
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  width: 100vw;
  height: 65vh;
}

.carousel_subtitle{
    color: var(--color-tittle);
    font-size: 1.5rem;
    margin-left: 600px;
    margin-top: -50px;
    margin-bottom: 50px;
}


 .container2 {
    width: 100%;   
    height: 800px;
  } 


  .card {
    border: 1px solid var(--soft-red);
    background-color: #f9fafe;
    width: 300px;
    height: 25%;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    padding: 30px 0 0 0;
    transition: transform 400ms;
    opacity: 0.5;
    box-shadow: none;
  }
  

  
  .swiper {
    width: 90%;
    height: 90%;
  }
  
  .swiper-slide {
    display: flex !important;
    justify-content: center;
    align-items: center;
  }
  
  .swiper-slide-active {
    z-index: 1;
  }
  
  .swiper-slide-active .card {
    box-shadow: 0 8px 30px -7px #c9dff0;
    opacity: 1;
    transform: scale(1.5);
  }
  
  .swiper {
    margin-left: auto;
    margin-right: auto;
  }
  
  .swiper-button-next:focus,
  .swiper-button-prev:focus {
    outline: none;
  }
  .carousel_img{
    width: 220px;
  }
  .container_footer{
	max-width: 1170px;
	margin:auto;
}
  
.row{
	display: flex;
	flex-wrap: wrap;
}
ul{
	list-style: none;
}
.footer{
	background-color: #24262b;
    padding: 70px 0;
}
.footer-col{
   width: 25%;
   padding: 0 15px;
}
.footer-col h4{
	font-size: 18px;
	color: #ffffff;
	text-transform: capitalize;
	margin-bottom: 35px;
	font-weight: 500;
	position: relative;
}
.footer-col h4::before{
	content: '';
	position: absolute;
	left:0;
	bottom: -10px;
	background-color: #fc3e54;
	height: 2px;
	box-sizing: border-box;
	width: 50px;
}
.footer-col ul li:not(:last-child){
	margin-bottom: 10px;
}
.footer-col ul li a{
	font-size: 16px;
	text-transform: capitalize;
	color: #ffffff;
	text-decoration: none;
	font-weight: 300;
	color: #bbbbbb;
	display: block;
	transition: all 0.3s ease;
}
.footer-col ul li a:hover{
	color: #ffffff;
	padding-left: 8px;
}
.footer-col .social-links a{
	display: inline-block;
	height: 40px;
	width: 40px;
	background-color: rgba(255,255,255,0.2);
	margin:0 10px 10px 0;
	text-align: center;
	line-height: 40px;
	border-radius: 50%;
	color: #ffffff;
	transition: all 0.5s ease;
}
.footer-col .social-links a:hover{
	color: #24262b;
	background-color: #ffffff;
}


.span3{

    color: rgb(27, 26, 26, .0);

}





  @media (max-height: 450px) {
    .header {
      margin: 40px 0 0 0;
    }
    .name {
      font-size: 12px;
    }
    .title {
      font-size: 10px;
    }
    .quote-container {
      padding: 5px 20px 20px 20px;
    }
    .quote-icon {
      width: 75px;
      height: 75px;
    }
    .avatar {
      width: 100px;
      height: 100px;
      transform: translate(-50px, -50px);
    }

 

  }

  @media(max-width:767px){
    .navbar .links,
    .navbar .action_btn{
        display: none;
    }

    .navbar .toggle_btn{

       display: block;
    }

    .dropdown_menu{
        display: block;
    }
    .nav_items{
        /* quita los puntos de lista */
        list-style: none;
        font-size: 1rem;
        
    }

    .nav_menu{
      
        display: block;
        margin-right: 30px;
       
    }

    #navMenu{
        font-size: 1.5rem;
    }

    .nav_link--menu{
        
        position: fixed;
        background-color: #000;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        z-index: 100;
        opacity: 0;
        pointer-events: none;
        transition: .7s opacity;
    }

    .nav_link--show{
        --show: block;
        opacity:1 ;
        pointer-events: unset;
    }

    .nav_close{
        position: absolute;
        top: 30px;
        right: 30px;
        width: 30px;
        cursor: pointer;
    }
    .footer-col{
      width: 50%;
      margin-bottom: 30px;
  }  }

  

  
  @media (max-width: 500px) {

 
    .navbar .toggle_btn{

        margin-right: 20px;
     }
   .dropdown_menu{
    left: 2rem;
    width: unset;
   }
    .swiper {
        width: 90%;
        height: 50%;
      }

     

      .carousel_img{
        width: 100px;
      }

      .nav_menu{
      
        display: block;
        margin-right: 110px;
       
    }

      .hero_tittle{
        font-size: 1.8rem;
        margin-top: 230px;
        font-family: Mifuente;

    }

 .hero_container{
        max-width: 500px;
        
        display: grid;
        --padding-container:0;
        grid-auto-rows: max-content;
        align-content: center;
        /* espaciado */
        gap: 1em;
        padding-bottom: 100px;
        text-align: center;
    }

     
   .hero::before{
    content:"";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 90%;
    /* mirar si se puede poner transparencia de otra forma */
    background-image: linear-gradient(180deg, #0000008c 0%, #7b3e3e8c 100%), url('/images/montacargas_principal3.jpg');
    background-size: cover;
    /* herramienta utilizada clyppy
     css */
  
    /* para que se posicione detras del texto */
    z-index: -1;

}

.cta{
    /* revisar concepto */
    margin-top: 120px;
    display: inline-block;
    background-color: #F94E61;
    /* para que ocupe solamente su contenid o */
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 13px 30px;
    border-radius: 30px;
    transition: transform 0.3s;
    font-size: 0.8rem;
    
}


 
.hero{
    width: 100%;
    height: 70vh;
    min-height: 600px;
    max-height: 1200px;
  
    grid-template-rows: 100px 1fr;
    color: #fff;
}


.footer{
    margin-top: -200px;
}
.footer-col{
    width: 100%;
  
}

.carousel{
 
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    width: 100vw;
    height: 40vh;
  }

  .reasons_subtitle{
    color: var(--color-tittle);
    font-size: 1.5rem;
    margin-left: 100px;
    margin-bottom: 15px;
   
}  

.carousel_subtitle{
    color: var(--color-tittle);
    font-size: 1.3rem;
    margin-left: 60px;
    margin-top: -50px;
    
    margin-bottom: 150px;
   
}

.forklift__texts{
    width: 60%;
    margin: 0 0 0 80px;
    margin-top: 3rem;
    text-align: center;
}



  }


@media (min-width: 768px){

    /* forklift */
    

    
    .forklift{
        grid-template-columns: 5% 1fr 1fr 5%;
    }
    
    .forklift__content{
        grid-column: 2/4;
       
    }
    
    .forklift__title{
        font-size: 2.5rem;
    }
    
    
    .forklift__list{
        display: flex;
        justify-content: center;
        margin: 0 auto;
        margin-bottom: 10px;
        width: max-content;
        border-bottom: 2px solid var(--grayish-blue-alpha);
    }
    
    .forklift__element{
        border-top:none;
    }
    
    .forklift__element:last-child{
        border-bottom:none;
    }
    
    .forklift__tab{
        padding: 0.7rem;
        font-size: 0.9rem;
        position: relative;
        top: 2px;
       
    }
    

    .forklift__article{
        display: grid;
        gap: 1rem;
        align-items: center;
        grid-template-columns: 5% 1fr 1fr 5%;
    }
    
    
    .forklift__figure{
        grid-column: 1/3;
        display: grid;
    }
    
    .forklift__img{
        width: 540px;
        height: 420px;
        
        margin-left: 60px;
       
    }
    
    .forklift__figure::before{  
        top: 40%;
        height: unset;
        width: 70%;
        max-width: 550px;
    }
    
    .forklift__texts{
        width: 100%;
        margin-top: 0;
        text-align: left;
        margin-left: 100px;
    }
    
    .forklift__subtitle{
        
        font-size: 1.3rem;
    }

    .forklift_subtittle{
        color: var(--color-tittle);
        font-size: 1.5rem;
        margin-top: 20px;
        margin-bottom: 45px;
    }

    .forklift__copy{
        margin-bottom: 1.2rem;
        font-size: 1.1rem;
    }
    
    
    .forklift__cta{
        display: inline-block;
    }

    .forklift_more{
        position: absolute;
        margin-top: 500px;
        left: 750px;
        color:#F94E61;
        text-decoration: none;


    }

    .forklift_cuadrado{
        
        border-right: 6px solid white;
        background-color: rgb(27, 26, 26, .7);

    }

    .triangle_left {
        position: relative;
        margin-top: -250px;
        width: 0;
        height: 0;
        border-top: 15px solid transparent;
        border-bottom: 15px solid transparent;
        border-right: 30px solid  #F94E61;;
        transform: rotate(0deg);
        cursor: pointer;
    
      }
    
      .triangle_right{
    
        position: relative;
        margin-top: -250px;
        margin-left: 1300px;
        width: 0;
        height: 0;
        border-top: 15px solid transparent;
        border-bottom: 15px solid transparent;
        border-right: 30px solid  #F94E61;;
        transform: rotate(180deg);
        cursor: pointer;
    
      }
    
}

@media (min-width:1250px) {
   
    .forklift{
        width: 90%;
        grid-template-columns: 1fr 1fr;
    }

    .forklift__content{
        grid-column: 1/-1;
    }

     
   
    
}


    

     
   
    
